/*
 * main.h  -- definitions
 *
 * $Id: main.h,v 1.7 2004/05/18 13:55:20 hos Exp $
 *
 */


#include <ctype.h>
#include <tchar.h>
#include <windows.h>
#include <objbase.h>
#include <oleacc.h>
#include <mshtml.h>
#include <migemo.h>


#ifdef COBJMACROS
#define IHTMLDocument2_AddRef(T) (T)->lpVtbl->AddRef(T)
#define IHTMLDocument2_Release(T) (T)->lpVtbl->Release(T)
#define IHTMLDocument2_get_activeElement(T,a) (T)->lpVtbl->get_activeElement(T,a)
#define IHTMLDocument2_get_selection(T,a) (T)->lpVtbl->get_selection(T,a)
#define IHTMLDocument2_get_body(T,a) (T)->lpVtbl->get_body(T,a)

#define IHTMLElement_QueryInterface(T,a,b) (T)->lpVtbl->QueryInterface(T,a,b)
#define IHTMLElement_Release(T) (T)->lpVtbl->Release(T)
#define IHTMLElement_get_tagName(T,a) (T)->lpVtbl->get_tagName(T,a)
#define IHTMLElement_click(T) (T)->lpVtbl->click(T)

#define IHTMLBodyElement_Release(T) (T)->lpVtbl->Release(T)
#define IHTMLBodyElement_createTextRange(T,a) (T)->lpVtbl->createTextRange(T,a)

#define IHTMLFrameBase2_Release(T) (T)->lpVtbl->Release(T)
#define IHTMLFrameBase2_get_contentWindow(T,a) (T)->lpVtbl->get_contentWindow(T,a)

#define IHTMLWindow2_Release(T) (T)->lpVtbl->Release(T)
#define IHTMLWindow2_get_document(T,a) (T)->lpVtbl->get_document(T,a)

#define IHTMLSelectionObject_Release(T) (T)->lpVtbl->Release(T)
#define IHTMLSelectionObject_get_type(T,a) (T)->lpVtbl->get_type(T,a)
#define IHTMLSelectionObject_createRange(T,a) (T)->lpVtbl->createRange(T,a)

#define IHTMLTxtRange_Release(T) (T)->lpVtbl->Release(T)
#define IHTMLTxtRange_get_text(T,a) (T)->lpVtbl->get_text(T,a);
#define IHTMLTxtRange_setEndPoint(T,a,b) (T)->lpVtbl->setEndPoint(T,a,b);
#define IHTMLTxtRange_moveStart(T,a,b,c) (T)->lpVtbl->moveStart(T,a,b,c);
#define IHTMLTxtRange_moveEnd(T,a,b,c) (T)->lpVtbl->moveEnd(T,a,b,c);
#define IHTMLTxtRange_findText(T,a,b,c,d) (T)->lpVtbl->findText(T,a,b,c,d);
#define IHTMLTxtRange_select(T) (T)->lpVtbl->select(T)
#define IHTMLTxtRange_parentElement(T,a) (T)->lpVtbl->parentElement(T,a)
#endif /* COBJMACROS */


void isearch_html_doc(IHTMLDocument2 *doc, HWND parent,
                      int dir, int ignore_case,
                      char *migemo_dict);


extern HINSTANCE instance;

void error_message(char *str, int code);
